#!/bin/bash 

make -j tga_filtres tga_cadre
echo $?

source=F.tga
qual=90
CJPEGOPT="-quality $qual -dct float -progressive "
# echo $CJPEGOPT

export TGA_OUTILS_VERBOSE=yes

nice -19 cjpeg $CJPEGOPT $source > filt-o.jpg &

./tga_filtres $source hipass /tmp/a.tga
tga_cadre filet /tmp/a.tga /tmp/a.tga
nice -19 cjpeg $CJPEGOPT /tmp/a.tga > filt-hp.jpg &

./tga_filtres $source lopass /tmp/b.tga
tga_cadre filet /tmp/b.tga /tmp/b.tga
nice -19 cjpeg $CJPEGOPT /tmp/b.tga > filt-lp.jpg &

./tga_filtres $source prewitt /tmp/c.tga 5 
tga_cadre filet /tmp/c.tga /tmp/c.tga
display /tmp/c.tga &
nice -19 cjpeg $CJPEGOPT /tmp/c.tga > filt-prewitt.jpg &

