#!/bin/bash 

make -j tga_combine tga_effects tga_remap
echo $?

source=M.tga
qual=92
CJPEGOPT="-quality $qual -dct float -progressive "
# echo $CJPEGOPT

export TGA_OUTILS_VERBOSE=yes

nice -19 cjpeg $CJPEGOPT $source > mix-o.jpg &

echo "============= ONE ================"

./tga_effects $source water /tmp/a.tga 80
cjpeg $CJPEGOPT /tmp/a.tga > mix-one-a.jpg 
./tga_effects $source x4 /tmp/b.tga 0
cjpeg $CJPEGOPT /tmp/b.tga > mix-one-b.jpg 
./tga_combine /tmp/a.tga /tmp/b.tga mixer /tmp/c.tga 5000
cjpeg $CJPEGOPT /tmp/c.tga > mix-one.jpg &

echo "============= TWO ================"

./tga_effects $source class0 /tmp/a.tga 
./tga_filtres /tmp/a.tga hipass /tmp/a.tga
nice -19 cjpeg $CJPEGOPT /tmp/a.tga > mix-two-a.jpg 
./tga_remap 13 $source neon.map /tmp/b.tga
cjpeg $CJPEGOPT /tmp/b.tga > mix-two-b.jpg 
./tga_combine /tmp/a.tga /tmp/b.tga mixer /tmp/c.tga 5000
cjpeg $CJPEGOPT /tmp/c.tga > mix-two.jpg &

