#!/bin/bash 

echo "------------------------------------------"

DESTDIR=Essais
if [ ! -d $DESTDIR ]
then
	echo making dir...
	mkdir $DESTDIR
fi

make tga_dither
errcode=$?
if [ $errcode != 0 ] ; then
	echo "Erreur sur le make:" $errcode
	exit 1
fi

echo "------------------------------------------"

SRC=D.tga
export TGA_OUTILS_VERBOSE=yes

./tga_dither $SRC 2x2      $DESTDIR/dither_2x2.tga 
./tga_dither $SRC 3x3_0    $DESTDIR/dither_3x3_0.tga 
./tga_dither $SRC 3x3_1    $DESTDIR/dither_3x3_1.tga 
./tga_dither $SRC bayer0   $DESTDIR/dither_bayer0.tga 
./tga_dither $SRC dbltresh $DESTDIR/dither_dbltresh.tga 100 200
./tga_dither $SRC crude    $DESTDIR/dither_crude.tga 
./tga_dither $SRC error    $DESTDIR/dither_error.tga 
./tga_dither $SRC random   $DESTDIR/dither_random.tga 100
./tga_dither $SRC xper     $DESTDIR/dither_xper.tga 100

