#!/bin/bash 

echo
echo "------------------------------------------"
export TGA_OUTILS_VERBOSE=yes
DD=Essais
if [ ! -d $DD ]
then
	mkdir $DD
fi

make tga_filtres
errcode=$?
if [ $errcode != 0 ] ; then
	echo "Erreur sur le make:" $errcode
	exit 1
fi

echo "------------------------------------------"
SRC=A.tga

./tga_filtres $SRC adapt0	$DD/filt_adapt0.tga 
./tga_filtres $SRC hipass	$DD/filt_hipass.tga 
./tga_filtres $SRC lopass	$DD/filt_lopass.tga 
./tga_filtres $SRC prewitt	$DD/filt_prewitt.tga 2
./tga_filtres $SRC random	$DD/filt_random.tga 5 15
./tga_filtres $SRC random2	$DD/filt_random2.tga 61 42 33 11
./tga_filtres $SRC smooth	$DD/filt_smooth.tga 
./tga_filtres $SRC sobel	$DD/filt_sobel.tga 5
./tga_filtres $SRC sobel4	$DD/filt_sobel4.tga 5

