#!/bin/sh

export TGA_OUTILS_VERBOSE=yes
echo
make tga_pattern tga_cadre

DD=Essais
W=320
H=240

if [ ! -d $DD ]
then
	mkdir $DD
fi

echo "----------------------------------"
for n in 1 2 3 4 5 6 7 8 9 10 11
do
  ./tga_pattern $DD/text2-$n.tga $W $H text2 40 180 $n 
done
convert $DD/text2-10.tga toto.png
display toto.png &

echo

./tga_pattern $DD/pattern_graynoise.tga $W $H graynoise 100 200
./tga_pattern $DD/pattern_rgbnoise.tga $W $H rgbnoise 40 180 
./tga_pattern $DD/pattern_42.tga $W $H reponse 40 180 
./tga_pattern $DD/pattern_text1.tga $W $H text1 40 180 

./tga_pattern $DD/pattern_text2.tga $W $H text2 40 180 222
convert $DD/pattern_text2.tga pattern_text2.png

./tga_pattern $DD/pattern_expov.tga $W $H expov 40 180 222
./tga_pattern $DD/pattern_centdeux.tga $W $H centdeux 40 180 10 42
./tga_pattern $DD/pattern_first.tga $W $H first 127
./tga_pattern $DD/pattern_graynoise2.tga $W $H graynoise2 100 200
./tga_pattern $DD/pattern_rgbnoise1.tga $W $H rgbnoise1 1 254 40 60 180 200

./tga_pattern $DD/pattern_rgbnoise2.tga $W $H rgbnoise2 1 254 40 60 180 200
convert $DD/pattern_rgbnoise2.tga pattern_rgbnoise2.png

./tga_pattern $DD/pattern_check_bw.tga $W $H check_bw 5 2 10 200

