#!/bin/bash 

echo "------------------------------------------"

DD=Essais
if [ ! -d $DD ]
then
	echo making dir...
	mkdir $DD
fi

make tga_showdiff tga_2x2contrast

echo "retour du make " $?

echo "------------------------------------------"

SRC=A.tga
export TGA_OUTILS_VERBOSE=yes

./tga_2x2contrast $SRC aaaa.tga

./tga_showdiff $SRC aaaa.tga 0 $DD/showdiff_0.tga 0
./tga_showdiff $SRC aaaa.tga 1 $DD/showdiff_1.tga 1
./tga_showdiff $SRC aaaa.tga 2 $DD/showdiff_2.tga
./tga_showdiff $SRC aaaa.tga 3 $DD/showdiff_3.tga 33
./tga_showdiff $SRC aaaa.tga s0 $DD/showdiff_s0.tga 3

rm aaaa.tga

make tga_extract
SRC2=B.tga
./tga_extract $SRC  $DD/C8.tga 20 25 420 300 
./tga_extract $SRC2 $DD/C9.tga 360 100 420 300 
./tga_showdiff $DD/C8.tga $DD/C9.tga 0 $DD/showdiff_0_b.tga   0
./tga_showdiff $DD/C8.tga $DD/C9.tga 1 $DD/showdiff_1_b.tga   1
./tga_showdiff $DD/C8.tga $DD/C9.tga 2 $DD/showdiff_2_b.tga   2
./tga_showdiff $DD/C8.tga $DD/C9.tga 3 $DD/showdiff_3_b.tga   3

