#!/bin/sh

echo "------------------------------------------"
make tga_tools
errcode=$?
if [ $errcode != 0 ] ; then
	echo "Erreur sur le make:" $errcode
	exit 1
fi

export TGA_OUTILS_VERBOSE=yes
Image=A.tga

./tga_tools version

echo "------ Lecture dimensions ----------------"
dims=$(./tga_tools getdims $Image)
dimx=$(./tga_tools getdimx $Image)
dimp=$(./tga_tools getdimpov $Image)

echo "----- Resultats --------------------------"
echo "Dimensions   " $dims
echo "DimensionX   " $dimx
echo "POV optdim   " $dimp
echo "------------------------------------------"


