/*
 *	Construction d'une image  partir d'un texte.
 *	---------------------------------------------
 */

#include  <stdio.h>
#include  <stdlib.h>
#include  <string.h>
#include  "tga_outils.h"

/*::------------------------------------------------------------------::*/
void usage()
{
fprintf(stderr, "* tga_txt2img v 0.0.0.0 [%s] (g) tTh\n",
					TGA_OUTILS_VERSION);
fprintf(stderr, "Usage:\n\ttga_txt2img fichier.txt image.tga\n");
Image_print_version(1);
exit(5);
}
/*::------------------------------------------------------------------::*/

#define T_MAX_LINE	200

/*::------------------------------------------------------------------::*/
int main (int argc, char *argv[])
{
Image_Desc 	*img;
int		foo;
FILE		*fp;
int		nbligne, maxligne;
char		buffer[T_MAX_LINE+1];

dump_command_line(argc, argv, 0);

if (argc != 2)		usage();

if ( (fp=fopen(argv[1], "r")) == NULL )
	{
	fprintf(stderr, "can't fopen \"%s\"\n", argv[1]);
	exit(5);
	}

nbligne = 0;
maxligne = 0;
while ( fgets(buffer, T_MAX_LINE, fp) != NULL )
	{
	nbligne++;
	if ( (foo=strlen(buffer)) > maxligne )
		maxligne = foo;
	fprintf(stderr, "%5d  %d\n", nbligne, maxligne);
	}

return 0;
}
/*::------------------------------------------------------------------::*/
