#!/bin/sh

gcc -Wall demo_fildir.c ../LibImage/essais.o -o demo_fildir -limage -lm
make -j tga_cadre tga_effects tga_equalize

cp Franck2.tga foo.tga

export TGA_OUTILS_VERBOSE=yes

./tga_equalize foo.tga gray foo.tga
# ./tga_effects foo.tga gray foo.tga T
display foo.tga &

./demo_fildir foo.tga

sync

for s in $(seq 0 7)
do
	bname=$(printf "aaaa_fildir_%d" $s)
	tname=$bname.tga
	jname=$bname.jpg
	./tga_cadre filetg $tname $tname 250 10
	cjpeg -qualit 92 -progres -dct float $tname > $jname
	# display $jname &
done

display aaaa_fildir_5.jpg &
