#!/bin/bash 

echo
echo "------------------------------------------"
export TGA_OUTILS_VERBOSE=yes

DD=Essais
if [ ! -d $DD ]
then
	mkdir $DD
fi

make tga_combine tga_extract
errcode=$?
if [ $errcode != 0 ] ; then
	echo "Erreur sur le make:" $errcode
	exit 1
fi


echo "------------------------------------------"
./tga_extract A.tga $DD/C8.tga 20 25 420 300 
./tga_extract B.tga $DD/C9.tga 0 0 420 300 
./tga_extract D.tga $DD/CA.tga 0 0 420 300 
echo "------------------------------------------"
./tga_combine $DD/C8.tga $DD/C9.tga mixer	$DD/comb_mixer.tga 5000
./tga_combine $DD/C8.tga $DD/C9.tga mix_rgb	$DD/comb_mix_rgb.tga 0 5000 10000
./tga_combine $DD/C8.tga $DD/C9.tga lines	$DD/comb_lines.tga 20 10 0
./tga_combine $DD/C8.tga $DD/C9.tga columns	$DD/comb_columns.tga 20 10 0
./tga_combine $DD/CA.tga $DD/C9.tga checker	$DD/comb_checker.tga 40 40 20 20 0
./tga_combine $DD/C8.tga $DD/C9.tga random	$DD/comb_random.tga 63
./tga_combine $DD/C8.tga $DD/C9.tga diago	$DD/comb_diago0.tga 0 0 0
./tga_combine $DD/C8.tga $DD/C9.tga diago	$DD/comb_diago1.tga 1 0 0
./tga_combine $DD/C8.tga $DD/C9.tga minmax	$DD/comb_minmax0.tga 0
./tga_combine $DD/C8.tga $DD/C9.tga minmax	$DD/comb_minmax1.tga 1
./tga_combine $DD/C8.tga $DD/C9.tga waou	$DD/comb_waou.tga 0 1 2 3
./tga_combine $DD/C8.tga $DD/C9.tga wauo	$DD/comb_wauo.tga 0
./tga_combine $DD/C8.tga $DD/C9.tga circle0	$DD/comb_circle0.tga 0
./tga_combine $DD/C8.tga $DD/C9.tga hdeg	$DD/comb_hdeg.tga T
./tga_combine $DD/C8.tga $DD/C9.tga vdeg	$DD/comb_vdeg.tga n
./tga_combine $DD/C8.tga $DD/C9.tga stereo	$DD/comb_stereo.tga 
./tga_combine $DD/C8.tga $DD/C9.tga stereok	$DD/comb_stereo.tga 1 2 3
./tga_combine $DD/C8.tga $DD/C9.tga seuils	$DD/comb_seuils.tga 64 128 192

