#!/bin/sh

make tga_fractales 
errcode=$?
if [ $errcode != 0 ] ; then
	echo "Erreur sur le make:" $errcode
	exit 1
fi


export TGA_OUTILS_VERBOSE=yes

DD=Essais

if [ ! -d $DD ]
then
	mkdir $DD
fi

./tga_fractales ginger fract_ginger.tga 512 512
./tga_fractales julia00 fract_julia00.tga 512 512
./tga_fractales mandel0 fract_mandel0.tga 512 512
./tga_fractales newton0 fract_newton0.tga 512 512
