#!/bin/sh

make tga_remap tga_plotmap foobar.map
errcode=$?
if [ $errcode != 0 ] ; then
	echo "Erreur sur le make:" $errcode
	exit 1
fi


export TGA_OUTILS_VERBOSE=yes

DD=Essais

if [ ! -d $DD ]
then
	mkdir $DD
fi

Image=R.tga
Map=foobar.map

./tga_plotmap $Map $DD/map-foobar.tga "la palette foobar"

for Type in 00 01 02 11 12 13
do
	echo Map Type = $Type
	./tga_remap $Type $Image $Map $DD/remap_$Type.tga
	echo
	sleep 20
done
