/*
	utilitaire pour tracer l'histogramme des altitudes
	    d'un 'height field' de POV en format TGA
	    ----------------------------------------
*/

#include  <stdio.h>
#include  <stdlib.h>
#include  <image.h>

#include  "tga_outils.h"

void usage()
{
fprintf(stderr, "* povhf_plothisto v 0.0.5 (g) tonton Th\n");
Image_print_version(0);
fprintf(stderr, " usage:\n\tpovhf_plothisto relief.tga histo.tga\n");

exit(5);
}

int main (int argc, char *argv[])
{
Image_Desc	*src;
int		foo;

if (argc != 3)		usage();

if ( (src=Image_TGA_alloc_load(argv[1])) == NULL )
	{
	exit(1);
	}

foo = Image_plot_histo_hf15(src, argv[2], argv[1], 0, 0);

fprintf(stderr, "plot histo hf: %d\n", foo);

return 0;
}
